Skip to main content
/api/v1/kline/mark

Query Parameters

FieldTypeNeedDescriptionExample
”symbol”stringrequiredTrading pair symbolBTC
”interval”stringrequiredCandlestick interval
Valid values: 1m, 3m, 5m, 15m, 30m, 1h, 2h, 4h, 8h, 12h, 1d, 1w, 1M
1m
”start_time”integerrequiredStart time in milliseconds1716200000000
”end_time”integeroptionalEnd time in milliseconds, defaults to current time if not provided1742243220000
”limit”integeroptionalMaximum number of candles to return. Capped at 4000; defaults to 4000 if not provided100
/api/v1/kline/mark?symbol=BTC&interval=1m&start_time=1742243160000&end_time=1742243220000

Response

  • Status 200: Successfully retrieved mark price candle data
{
  "success": true,
  "data": [
    {
      "t": 1764126720000,
      "T": 1764126780000,
      "s": "BTC",
      "i": "1m",
      "o": "87701",
      "c": "87687.303362",
      "h": "87739",
      "l": "87687.303362",
      "v": "0.84106",
      "n": 62
    },
    {
      "t": 1764126780000,
      "T": 1764126840000,
      "s": "BTC",
      "i": "1m",
      "o": "87684.118667",
      "c": "87654",
      "h": "87684.118667",
      "l": "87645",
      "v": "4.5997",
      "n": 91
    }
  ],
  "error": null,
  "code": null
}
FieldTypeDescription
't'numberCandle start time
'T'numberCandle end time
's'stringSymbol
'i'stringTime interval of candles
'o'decimal stringOpen price
'c'decimal stringClose price
'h'decimal stringHigh price
'l'decimal stringLow price
'v'decimal stringVolume (always "0")
'n'numberNumber of trades on Pacifica in candle duration
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/kline/mark?symbol=BTC&interval=1m&start_time=1742243160000&end_time=1742243220000",
    headers={"Accept": "*/*"},
)

data = response.json()